
layout(location = 0) out vec3 color;

in vec2 uv;

uniform sampler2D tex;

void main()
{
    const float texelSize = 1.0 / (textureSize( tex, 0).y * 0.5);

    color = max(texture( tex, uv + vec2(0.0, texelSize) * -4.0).rgb * 0.028532, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * -3.0).rgb * 0.067234, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * -2.0).rgb * 0.124009, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * -1.0).rgb * 0.179044, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * 0).rgb * 0.20236, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * 1.0).rgb * 0.179044, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * 2.0).rgb * 0.124009, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * 3.0).rgb * 0.067234, vec3(0.0));
    color += max(texture( tex, uv + vec2(0.0, texelSize) * 4.0).rgb * 0.028532, vec3(0.0));

	//color = texture( tex, uv).rgb;
}