
layout(location = 0) out vec3 color;

in vec2 uv;

uniform sampler2D uSceneColor;

#define sample(x, y) max((texture( uSceneColor, uv - offset * vec2( x, y)).rgb), vec3(0.0))

void main()
{
	vec2 offset = 1.0 / textureSize( uSceneColor, 0);
    vec3 scenecolor = (sample(-1,-1) + sample(1,1) + sample(1,-1) + sample(-1, 1)) * 0.25;
	
    float brightness = dot(scenecolor ,vec3(0.2126, 0.7562, 0.0722));
	color = scenecolor; //* 4.0 * smoothstep( 0.7, 2.0, brightness);

	//color = texture( uSceneColor, uv).rgb;
}