
layout(location = 0) out vec3 color;

in vec2 uv;

uniform sampler2D uSceneTexture;
uniform sampler2D uBloomTexture;
uniform float uSceneWeight;
uniform float uBloomWeight;

void main()
{
	vec3 original = max(texture2D( uSceneTexture, uv).rgb, vec3(0.0));
	vec3 boom = max(texture2D( uBloomTexture, uv).rgb, vec3(0.0));
	
    color = original * uSceneWeight + boom * uBloomWeight;
}