
layout (location = 0) out vec4 fWorldNormal;
layout (location = 1) out vec4 fAlbedo;
layout (location = 2) out vec3 fEmissive;

in vec2 vUV;
in vec3 vWorldNormal;
in vec3 vWorldPosition;

layout(std140, row_major) uniform Global
{
	float time;
} global;

#ifdef SHADOW
void main()
{
}
#else
void main()
{
	fWorldNormal.xyz = normalize(vWorldNormal).xyz;
	fWorldNormal.w = 0.0f;
	fAlbedo = vec4(0.05, 0.05, 0.05, 0.6);
	fEmissive = vec3(0.0);
}
#endif