
layout (location = 0) in vec3 position;

uniform mat4 mvp;
uniform mat3 stars_rot_mat;

out vec3 pos;
out vec3 stars_pos;

void main()
{
	vec4 vertex = mvp * vec4(position, 1.0);
	gl_Position = vertex.xyww; //no z

	//pos is used for the color interpolation in the fragment shader
	pos = position;
	//stars_pos = pos;
	stars_pos = stars_rot_mat * normalize(pos);
	

	
}